
sub validateStringNotNull {
    ($arg, $argName) = @_;
    if(!$arg) {
        die "Argument $argName is required."; 
    }
}

sub validateCurrency {
    if(!$_[0] || length $_[0] != 3) { 
        die "currency is a required parameter. It must contain a 3 letter ISO 4217 currency code."; 
    }
}

sub validateCards {
    @cards = @_;
    $cards = @cards;
    if(!$_[0] || $cards < 1) {
        die "At least one card is required.";
    }
    foreach(@cards) {
        %$card_href = %$_;
        if(!%$card_href) {
            die "Cards is a required parameter and should not contain null values.";
        }
        $pin = $card_href->{pin};
        if(!$pin) {
            die "pin is a required parameter.";
        }
    }
}

1;
